logo
On this page

StopListening

2026-03-31
POST

https://aigc-aiagent-api.zegotech.cn/

In walkie-talkie mode, the AI agent stops listening. For enabling walkie-talkie mode, please refer to the AdvancedConfig.CommunicationMode parameter description in Create Agent Instance.

Request

Query Parameters

    Action stringrequired

    Possible values: [StopListening]

    API prototype parameter

    https://aigc-aiagent-api.zegotech.cn?Action=StopListening

    AppId uint32required

    💡Public parameter. Application ID, assigned by ZEGOCLOUD. Get it from the ZEGOCLOUD Admin Console.

    SignatureNonce stringrequired

    💡Public parameter. A 16-character hexadecimal random string (hex encoding of 8-byte random number). Refer to Signature sample code for how to generate.

    Timestamp int64required

    💡Public parameter. Current Unix timestamp, in seconds. Refer to Signature sample code for how to generate, with a maximum error of 10 minutes.

    Signature stringrequired

    💡Public parameter. Signature, used to verify the legitimacy of the request. Refer to Signing the requests for how to generate an API request signature.

    SignatureVersion stringrequired

    Possible values: [2.0]

    Default value: 2.0

    💡Public parameter. Signature version number.

Body

required
    AgentInstanceId stringrequired

    Unique identifier of the Agent instance, globally unique.

    UserId string

    The user who ends the listening mode. The default UserId is used when the Agent instance is created.

    Sequence int64

    A sequence number defined by the client that increases with requests. Each user/device increments independently. The AI Agent backend only processes the request with the latest Sequence. If not passed, requests are processed in the order received by the AI Agent backend. Due to network issues, the order of user speaking may not match the order received by the backend.

    📌 Important

    The Sequence of StartListening and StopListening APIs must be sequential. For example:

    1. StartListening(Sequence:1)
    2. StopListening(Sequence:2)
    3. StartListening(Sequence:3)
    4. StopListening(Sequence:4)
    5. ...

Responses​

Stopped listening successfully
Schema
    Code integer

    Return code, 0 indicates success, other values indicate failure. For details, please refer to the Return Codes description.

    Message string

    Request result description

    RequestId string

    Request ID

Previous

Start Listening

Next

Receiving Callback

On this page

Back to top